Chrome'un Pepper Flash uygulamasını Firefox ile kullanabilir miyim?

20

Adobe artık Linux'ta Flash'ı desteklemediğinden (aşağıdaki "BİLDİRİM" bölümüne bakın), Chrome'un Pepper Flash eklentisini Firefox ile kullanmanın bir yolu var mı?

BİLDİRİM! Flash artık, Linux'un bir parçası olarak Linux için desteklenmiyor HARİÇ (Firefox 11.2 son derece istisna dışında) sürüm, güvenlik güncellemelerini alsa bile, hala eski ve sık sık güncellenmez). Bu, Adobe'den Flash Runtimes için Yol Haritası 'nda ayrıntılı olarak açıklanmıştır. İlgili bölüm Platform desteği , alt bölüm Kişisel Bilgisayarlar , bölüm Linux , burada alıntılanmıştır (14 Ocak 2015, bu çekildikten sonraydı ve Buradaki en önemli satırlar önemli nedenlerden dolayı ortaya çıkmıştı çünkü insanlar burada her şeyi okumak istemiyorlar.):

  

Linux

     

Adobe, eklentileri tarayıcıda barındırmak için tek ve modern bir API geliştirmek için Google ile yakın bir şekilde çalışıyor. Kod adı "Pepper" olan PPAPI, tarayıcı ve işletim sistemi uygulamaları arasındaki farkları ortadan kaldıran eklenti ve tarayıcı arasında bir katman sağlamayı amaçlamaktadır. Pepper API'sı hakkında daha fazla bilgiyi İşte adresinde bulabilirsiniz.

     

Bu çalışma nedeniyle Adobe, Google Chrome tarayıcısı tarafından desteklenen tüm x86 / 64 platformları için Flash Player'ın "Pepper" uygulamasını sağlayarak Google ile iş ortaklığı yapabildi. Google artık bu yeni Pepper tabanlı Flash Player'ı Linux'un da dahil olduğu tüm platformlarda Chrome'un bir parçası olarak dağıtıyor.

     

11.2'den sonra Flash Player sürümleri için, Linux için Flash Player tarayıcı eklentisi, Google Chrome tarayıcı dağıtımının bir parçası olarak yalnızca "Pepper" API'sı aracılığıyla kullanılabilir ve artık doğrudan indirme olarak kullanılamaz. Adobe'den. Adobe, yayınlanmasından beş yıl boyunca Linux'ta Flash Player 11.2'nin Pepper olmayan dağıtımlarına güvenlik güncellemelerini sunmaya devam edecektir.

     

Flash Player, Linux dışındaki platformlarda "Pepper" eklenti API'lerini olmayan tarayıcıları desteklemeye devam edecektir.

     

Adobe, Flash Player tarayıcı eklentisinin Linux'ta bir Pepper tabanlı hata ayıklama uygulaması gerçekleştirmeyecektir.

     

Adobe AIR 3'ten itibaren Adobe, Adobe AIR for Linux işletim sistemleri için desteği durdurdu.

    
sordu Thomas Ward 17.12.2014 00:02

4 cevap

18
  

Bu yanıt, Adobe ve Flash'ta yapılan son değişiklikler nedeniyle eski olabilir. Bu cevap tarihi amaçlar için olduğu gibi burada bırakılmıştır.

  

Firefox yakında NPAPI desteğini bırakıyor, bu da bu cevabı eski ve geçersiz kılıyor. Yalnızca Chrome'da Flash ve yalnızca bir noktada Firefox çözümü bulunmayacak şekilde Chrome elde etmek mümkün olabilir.

Adobe artık Linux'ta Flash'ı desteklemediğinden, Chrome, Flash'ın dahil olduğu kalan seçeneklerden biridir. Altında Linux alt başlığında Adobe'den Flash Yol Haritası 'da belirtildiği gibi bu bir Chrome özel durumudur. Kişisel Bilgisayarlar.

Firefox'ta Pepper Flash'ı ("Taze Oyuncu" olarak adlandırılır) kullanırsınız. Webupd8, burayı ve nasıl çalıştıracağını bile yorumladı (Bağlantılı makale 29 Mayıs 2014'te yayınlanmıştır ve güncel olmayabilir). Eklenti, Ubuntu IRC sohbetlerinde düzenli olarak önerildiği gibi kullanılabilir bir çözüm olarak kullanılabilir.

Aşağıdaki Webupd8 gönderisinden çıkarıldı:

NOT: Bunun için kullanılan sarıcı ALPHA aşamasında ve EXTRAORIDNARILY dengesizdir.

Ayrıntılarını özetlemek gerekirse:

  1. Ubuntu'da (PPA aracılığıyla) Taze Oyuncu Eklentisini aşağıdaki komutları kullanarak yükleyin:

    sudo add-apt-repository ppa:nilarimogard/webupd8
    sudo apt-get update
    sudo apt-get install freshplayerplugin
    
  2. Bunu kullanmanın en kolay yolu, işe yaraması için Google Chrome'u yüklemeniz gerekeceği anlamına gelir. Bunun nedeni, Player Player Eklentisinin libpepflashplayer.so için bir sarmalayıcı olmasıdır, bu yüzden bu dosyaya ihtiyacı vardır Google Chrome ile birlikte gelir. Bu dosyayı almanın en kolay yolu, Google Chrome Kararlı Sürümünü basitçe yüklemektir - buradan indirin , ardından yükleyin.

    2a. Alternatif olarak:

      

    libpepflashplayer.so almanın başka yolları var ama yayınlamam   bunların hepsi için yükleme talimatları.

         

    Bunun yerine, sadece bunları aşağıda listeleyeceğim:

         
    • Google Chrome Unstable'ı kullanıyorsanız, /opt/google/chrome-unstable/PepperFlash ile /opt/google/chrome/ arasında sembolik bir bağlantı oluşturun veya   değiştirmek freshwrapper.conf dosyasını ekleyin ve    /opt/google/chrome-unstable/PepperFlash/libpepflashplayer.so yol   orada - 3. adıma bakın

    •   
    • Pepper Flash'ı diğer iki yolu kullanarak yükleyebilirsiniz: Resmi Ubuntu 14.04 depolarında bulunan yükleyici ve   Daha eski Ubuntu için de kullanılabilen Pepper Flash PPA aracılığıyla   sürümleri - bir kez yüklendikten sonra sembolik bir bağlantı oluşturmanız gerekir   Pepper Flash için    /opt/google/chrome/PepperFlash/libpepflashplayer.so veya 3. adıma bakın   yolu nasıl değiştireceğiniz için.

    •   
  3. APT tarafından yüklenen flaş eklentisini kaldırın: Bu paketleri Yazılım Merkezi'nden% temizleyin / temizleyin flashplugin-installer co_de% adobe-flashplugin adobe-flash-properties-gtk veya sadece bir terminalde çalıştırın:

    sudo aptitude --purge-unused purge flashplugin-installer adobe-flashplugin adobe-flash-properties-gtk adobe-flash-properties-kde
    

    Pepper Flash paketi, orijinal kitaplık dosyasının yerini almaz. Bu nedenle, bu aşamaya kadar, Eklentiler sayfasındaki eklentileri sürümlerini görebilirsiniz. Firefox'un en son sürümü kullanacağından emin olmanın yolu. Ve diğerini devre dışı bırakmadan birini devre dışı bırakamazsınız (Birini devre dışı bırakırsanız ve yeniden başlatırsanız, her ikisi de devre dışı bırakılacaktır).

  4. İsteğe bağlı (yalnızca çeşitli ayarları değiştirmek istiyorsanız kullanın): Fresh Player Eklentisini Yapılandır

      

    Burada bir örnek bulabilirsiniz Fresh * Player Plugin yapılandırma -   kullanmak, bu dosyayı kaydetmek, adobe-flash-properties-kde olarak adlandırmak ve kopyalamak    freshwrapper.conf altında

         

    Yolu değiştirmek için bu yapılandırma dosyasını kullanın.   Varsa ~/.config/freshwrapper-data/ veya ses arabelleğini   perde sesi. Henüz donanım hızlandırmayı etkinleştirmek için kullanmayın   düzgün şekilde çalışmadığından şimdilik !

         

    Bu dosyada mevcut yapılandırma seçenekleri güzel   Kendinden açıklayıcı - için alt ve üst sınırı yapılandırabilirsiniz   ses arabelleği boyutu, elde etmek için kullanılan Xinerama ekranını değiştirir   tam ekran pencere geometrisi (varsayılan: 0),   Komut satırı argümanlarıyla birlikte libpepflashplayer.so   donanım video kod çözmeyi etkinleştirme.)

verilen cevap Thomas Ward 17.12.2014 00:02
7

bu web sitesine dayanarak, aşağıdakileri denemelisiniz:

sudo apt-get install browser-plugin-freshplayer-pepperflash

Benim için çalıştım.

    
verilen cevap tisfo 13.11.2015 04:55
7

Sorulan ve verilen cevapta verilen bilgilerin çoğu artık geçerli değil.

Ubuntu kullanıcılarının hem NPAPI hem de PPAPI eklentisinin en son sürümünü almanın en kolay yolu Canonical İş Ortağı'nı etkinleştirin ve adobe-flashplugin paketini yükleyin.

Varsayılan olarak Firefox NPAPI eklentisini kullanır. Bununla birlikte, NPAPI eklentisi PPAPI eklentisinin sahip olduğu tüm özelliklere sahip olmayacaktır. % Co_de% paketini yükleyerek (ve Firefox'u yeniden başlatarak) Firefox, bunun yerine PPAPI eklentisini kullanacaktır.

    
verilen cevap Gunnar Hjalmarsson 28.11.2016 20:01
1

Öncelikle, flashplayer kitaplığını (.so) tarayıcınızda indirerek burada veya wget kullanarak, örneğin

cd ~/Downloads
wget https://fpdownload.macromedia.com/pub/labs/flashruntimes/flashplayer/linux64/libflashplayer.so

Ardından, Ubuntu sürümünüze bağlı olarak doğru yere kopyalayın:

Ubuntu 16.10

Komut satırından:

sudo cp -fr ~/Downloads/libflashplayer.so /usr/lib/libflashplayer.so  

Ubuntu 17.04

sudo cp -fr ~/Downloads/libflashplayer.so /usr/lib/firefox/browser/plugins/

Yüklemeyi şu adrese giderek doğrulayın: Firefox eklentilerindeki eklentiler ve 'Shockwave Flash' ve sürüm> gt = 25 için işaretleyin.

    
verilen cevap Roel 26.04.2017 06:19

Etiketlerdeki diğer soruları oku